package cn.pluss.platform.deviceMerchantBuyDetail.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.DeviceMerchantBuyDetail;
import cn.pluss.platform.vo.DeviceMerchantBuyDetailVO;
import cn.pluss.platform.deviceMerchantBuyDetail.DeviceMerchantBuyDetailService;
import cn.pluss.platform.mapper.DeviceMerchantBuyDetailMapper;

@Transactional
@Service("deviceMerchantBuyDetailService")
public class DeviceMerchantBuyDetailServiceImpl  implements DeviceMerchantBuyDetailService{

	 private static final Logger logger = LoggerFactory.getLogger( DeviceMerchantBuyDetailServiceImpl.class);


    @Autowired
	  private DeviceMerchantBuyDetailMapper deviceMerchantBuyDetailMapper;

    @Override
    public DeviceMerchantBuyDetail queryDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail){
        return deviceMerchantBuyDetailMapper.queryDeviceMerchantBuyDetail(deviceMerchantBuyDetail);
    }

    @Override
    public List<DeviceMerchantBuyDetail> queryDeviceMerchantBuyDetailList(DeviceMerchantBuyDetail deviceMerchantBuyDetail){
        return deviceMerchantBuyDetailMapper.queryDeviceMerchantBuyDetailList(deviceMerchantBuyDetail);
    }
    @Override
    public void saveDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail){
          deviceMerchantBuyDetailMapper.saveDeviceMerchantBuyDetail(deviceMerchantBuyDetail);
    }
    @Override
    public void updateDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail){
        deviceMerchantBuyDetailMapper.updateDeviceMerchantBuyDetail(deviceMerchantBuyDetail);
    }
    @Override
    public void deleteDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail){
        deviceMerchantBuyDetailMapper.deleteDeviceMerchantBuyDetail(deviceMerchantBuyDetail);
    }
    @Override
    public List<DeviceMerchantBuyDetail> queryDeviceMerchantBuyDetailPage(Map map){
        return deviceMerchantBuyDetailMapper.queryDeviceMerchantBuyDetailPage(map);
    }
    @Override
    public Integer queryDeviceMerchantBuyDetailPageCount(Map map){
        return deviceMerchantBuyDetailMapper.queryDeviceMerchantBuyDetailPageCount(map);
    }
    @Override
    public void saveDeviceMerchantBuyDetailBatch(List<DeviceMerchantBuyDetail> deviceMerchantBuyDetailList) {
         deviceMerchantBuyDetailMapper.saveDeviceMerchantBuyDetailBatch(deviceMerchantBuyDetailList);
    }

	@Override
	public List<DeviceMerchantBuyDetailVO> queryDeviceMerchantBuyDetailVO(String orderNo) {
		return deviceMerchantBuyDetailMapper.queryDeviceMerchantBuyDetailVO(orderNo);
	}
}

